package thyyxxk.webserver.entity.outpatient.wxapi;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author dj
 */
@Data
public class QueryWxOrderParam {
    /**
     * 患者门诊ID
     * */
    private String patientId;
    /**
     * 患者姓名
     * */
    private String patientName;
    /**
     * 订单类型，1：挂号费，2：门诊缴费，3：住院预交金，-1：全部
     * */
    @NotNull(message = "订单类型不能为空。")
    private Integer orderType;
    /**
     * 订单支付状态，0：待支付，1：支付成功，2：支付取消，3：支付失败，4：已退款，-1：全部
     * */
    @NotBlank(message = "订单状态不能为空。")
    private String tradeState;
    /**
     * 查询开始时间
     * */
    private String start;
    /**
     * 查询结束时间
     * */
    private String end;
    @NotNull(message = "当前页码不能为空。")
    private Integer currentPage;
    @NotNull(message = "单页数据量不能为空。")
    private Integer pageSize;
    /**
     * 订单号
     * */
    private String tradeNo;

    public String getPatientId() {
        return null == patientId ? "" : (patientId).trim();
    }

    public String getPatientName() {
        return null == patientName ? "" : (patientName).trim();
    }

    public String getStart() {
        return null == start ? "2020-01-26" : (start).trim();
    }

    public String getEnd() {
        return null == end ? "2099-12-31" : (end).trim();
    }
}
